(* dmo du projet caml*)

open Printf ;;

let pause () =
  printf "appuyez sur une touche pour continuer\n";
  read_line ();;

open_graph " 500x500-0-0";;

draw g7 c2;;
mysleep 0.7;;

redraw g7 c2;;

pause ();;
(*itrations du graphe de Petersen*)
draw peter c1;;
for i=1 to 14 do
  begin
    mysleep 0.7;	
    redraw peter c1
  end;
done;;

pause ();;
draw six c2;;

(*iterations du graphe six.g*)
for i=1 to 15 do
  begin
    mysleep 0.7;	
    redraw six c2
  end;
done;;
pause ();;

draw k6 c2;;
redraw k6 c2;;
mysleep 0.7;;
redraw k6 c2;;
mysleep 0.7;;
redraw k6 c2;;

pause ();;

(*iteration du graphe w7*)
redraw w7 c2;;
pause ();;

(*premier automate cellulaire : *)

let status = ref  [|6;5;4;3;2;1;0|];; 

draw_first w7 cf !status;; 
for i=1 to 15 do begin
  status :=  draw_step w7 t cf !status ; 
  mysleep 0.7;
end done;;


(*automate cellulaire qui compte*)
#use "ca_count.ml";;
speed  := 0.3;;
run 20;;

pause ();;

(*automate cellulaire premier*)
#use "ca_prim.ml";;
speed := 0.05;;
run 15;;
pause ();;
run 17;;

pause ();;


close_graph();;
print_endline "------ FIN DE LA DEMO ------";;










